Subject: bug#25248: Merry Christmas and Happy New Year! GRUB1 and GRUB2

From: Tomáš Čech <[email-masked]>
Date: Sat, 31 Dec 2016 20:53:55 +0100

On Fri, 30 Dec 2016 18:20:11 +0100,
Gennadii Kondratiev wrote:
> 
> [1  <text/plain; UTF-8 (quoted-printable)>]
> [2  <text/html; UTF-8 (quoted-printable)>]
> #Hello!
> #
> #Thanks for your kind words and encouragement!
> #
> #As far as GRUB is concerned, please email [email-masked] detailed
> #information about what you expected and what you get (wrong behavior,
> #error messages, etc.), and how one can reproduce it. This information
> #is crucial in allowing us to debug and fix the problems you experience.
> #
> #Thanks for your support!
> #
> #Ludo’.
> 
> I wrote to Ludovic Cortes that you should include Legacy Grub into GNU packages, because it can be installed in any place (e.g., on the root partition), but
> Grub 2 has this feature blocked by default (at least, all people in the Internet say so). Or it would be better to unblock this feature in Grub2. Even with the
> powerful Grub people can make less harm to their conputers than, for example, with fdisk, which you like and include everywhere. 
>
> I installed GuixSD with big difficulties, and at the end I could not boot it. Of course, I booted via Aptosid Grub, but it is not very nice to use a bootloader from
> another OS.
> 
> You do very amazing and advanced things and do not worry about some simple things. A good bootloader is important.
> 
> Just, please, recover the ability of Grub 2 to write on the disk. At now moment it says that it needs to calculate block sizes, something like that. When people
> write --force option, it says that everything is ok, but in reality it does not write on the disk.

1] If you want to put Grub2 into partition, you can use filesystem, which reserves enough space at the beginning like BtrFs.
2] You can also use calculated block size which is less safe but still works in most of cases

In those cases you can use either `multiboot' to chainload GuixSD's bootloader or just load GuixSD's configuration with `source'.

3] You can use GuixSD's configured Grub2 as your default bootloader in MBR of the disk which is the easiest way to deal with that.

Relying on unmaintained Grub is probably not the right way for anything.

HTH and happy New Year to you too!

S_W